package net.ranides.assira.reflection;

public class BeanException extends IReflectiveException {

    private final IClass<?> type;

    public BeanException(IClass<?> type, String message) {
        super(message);
        this.type = type;
    }

    public BeanException(IClass<?> type, String message, Throwable cause) {
        super(message, cause);
        this.type = type;
    }

    public BeanException(IClass<?> type, Throwable cause) {
        super(cause);
        this.type = type;
    }

    public IClass<?> getBeanType() {
        return type;
    }
}
